Bug 1536343 - Indexing of internationalized matching rules is failing [rhel-7.4.z]
Summary: Indexing of internationalized matching rules is failing [rhel-7.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: thierry bordaz
QA Contact: Viktor Ashirov
Marc Muehlfeld
URL:
Whiteboard:
Depends On: 1531153
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-19 08:03 UTC by Oneata Mircea Teodor
Modified: 2018-03-06 21:50 UTC (History)
7 users (show)

Fixed In Version: 389-ds-base-1.3.6.1-27.el7_4
Doc Type: Bug Fix
Doc Text:
Previously, if an administrator configured an index for an attribute with a specific matching rule in the "nsMatchingRule" parameter, Directory Server did not use the retrieved indexer. As a consequence, Directory Server did not index the values of this attribute with the specified matching rules, and searches with extended filters were unindexed. With this update, Directory Server uses the retrieved indexer that processes the specified matching rule. As a result, searches using extended filters with a specified matching rule are now indexed.
Clone Of: 1531153
Environment:
Last Closed: 2018-03-06 21:50:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0414 normal SHIPPED_LIVE Important: 389-ds-base security and bug fix update 2018-03-07 02:46:53 UTC

Description Oneata Mircea Teodor 2018-01-19 08:03:50 UTC
This bug has been copied from bug #1531153 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 7 Amita Sharma 2018-02-22 17:27:13 UTC
TET I18n tests passed ::
Subject: SUCCESS: Acceptance 389-ds-base-1.3.6.1-27.el7_4.x86_64 - 100% passed
TET Tag: none
Report : http://qeos-22.lab.eng.rdu2.redhat.com/qa/archive/beaker/RHDS/testing/RHEL74/389-ds-base-1.3.6.1-16.el7.x86_64/Linux/20180222-114023.html
DS version: 389-ds-base-1.3.6.1-27.el7_4.x86_64
DStet revision: 6481
DStet git commit: bdf490b5ab08656541942178b61e02da718ee65d

===== [Pass/Fail] break down =====
Test Name 	PASS 	FAIL 	NORESULT
quickinstall startup 	100% (3/3) 	  	 
I18n startup 	100% (1/1) 	  	 
I18n run 	100% (34/34) 	  	 
I18n cleanup 	100% (1/1) 	  	 

and upstream ticket also passed ::
[root@qeos-49 tickets]# pytest ticket49509_test.py
================================================================ test session starts =================================================================
platform linux -- Python 3.6.3, pytest-3.4.1, py-1.5.2, pluggy-0.6.0
389-ds-base: 1.3.6.1-27.el7_4
nss: 3.34.0-4.el7
nspr: 4.17.0-1.el7
openldap: 2.4.44-13.el7
svrcore: 4.1.3-2.el7

rootdir: /mnt/tests/rhds/tests/upstream/ds/dirsrvtests/tests/tickets, inifile:
plugins: metadata-1.6.0, html-1.16.1
collected 1 item                                                                                                                                     

ticket49509_test.py .                                                                                                                          [100%]

============================================================= 1 passed in 25.61 seconds ==============================================================

Hence marking bug as VERIFIED.

Comment 10 thierry bordaz 2018-02-27 14:42:04 UTC
Hi Mark, 
I discussed the CCFR with Mark Muehlfeld and he did update 'Doc text' field.
Is there something more to do ?

Comment 11 mreynolds 2018-02-27 14:43:19 UTC
(In reply to thierry bordaz from comment #10)
> Hi Mark, 
> I discussed the CCFR with Mark Muehlfeld and he did update 'Doc text' field.
> Is there something more to do ?

Nothing, sorry.  I thought we was requesting doc text

Comment 13 errata-xmlrpc 2018-03-06 21:50:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0414


Note You need to log in before you can comment on or make changes to this bug.